import styles from './styles.module.css';
import Seat from './Seat';
const BookingWrapper = ({ onSeatClick }) => {
    const aisleIndex = 5;
    const seatData = [
        { id: 0, status: 'aisle' },
        { id: 1, status: 'reserved' },
        { id: 2, status: 'available' },
        { id: 3, status: 'reserved' },
        { id: 4, status: 'available' },
        { id: 0, status: 'aisle' },
        { id: 5, status: 'available' },
        { id: 6, status: 'reserved' },
        { id: 7, status: 'available' },
        { id: 8, status: 'reserved' },
        { id: 9, status: 'available' },
    ];



    const isLeftBlock = (col) => col < aisleIndex;
    const isRightBlock = (col) => col > aisleIndex;



    return (
        <div>
            <div className={styles['theatre']}>
                {Array.from({ length: 2 }, (_, row_index) => (
                    <div className={styles['seat-row']}>
                        {seatData.map((ele, column_index) => {
                            const isFirstRow = row_index === 0;
                            const isLastRow = row_index === 2 - 1;

                            if (isLeftBlock(column_index) && column_index === 0 && (isFirstRow || isLastRow)) {
                                // return <div key={`gap-left-${row_index}-${column_index}`} className={styles["seat-gap"]} />;
                                return <div className={styles['aisle']}></div>;
                            }

                            if (
                                isRightBlock(column_index) &&
                                column_index === seatData.length - 1 &&
                                (isFirstRow || isLastRow)
                            ) {
                                // return <div key={`gap-right-${row_index}-${row_index}`} className={styles["seat-gap"]} />;
                                return <div className={styles['aisle']}></div>;
                            }

                            if (column_index == aisleIndex) {
                                return (
                                    <div className={styles['aisle']}></div>
                                )
                            }
                            return (
                                <Seat status={ele.status} id={ele.id} onClick={() => onSeatClick(ele.id)} />
                            )
                        })}
                    </div>
                ))}
            </div>
        </div>
    )
}

export default BookingWrapper;

